# Interface methods for submodule: FastMarchingUpwindGradientImageFilterBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FastMarchingImageFilterBaseProxy as _FastMarchingImageFilterBaseProxy


# Interface methods for class: FastMarchingUpwindGradientImageFilterBase
class FastMarchingUpwindGradientImageFilterBaseProxy(_FastMarchingImageFilterBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetGradientImage(self):
		""""""
		...

